Prolifto
API reference

Receipts

Payment receipts and PDFs

Get Many

GET
/{organizationSlug}/receipts

Path Parameters

organizationSlug*string
Length1 <= length

Query Parameters

customerId?|
dateFrom?|
dateTo?|
limit?number
Default10
Range1 <= value <= 100
orderBy?array<>
Default["created_desc"]
page?number
Default1
Range1 <= value
search?|
status?|

Response Body

application/json

curl -X GET "https://www.prolifto.store/api/string/receipts"
{}

Get One

GET
/{organizationSlug}/receipts/{receiptNumber}

Path Parameters

organizationSlug*string
Length1 <= length
receiptNumber*string
Length1 <= length

Response Body

application/json

curl -X GET "https://www.prolifto.store/api/string/receipts/string"
{}

View

POST
/receipts/view

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/receipts/view" \  -H "Content-Type: application/json" \  -d '{    "receiptId": "string"  }'
{}

Void

POST
/receipts/void

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/receipts/void" \  -H "Content-Type: application/json" \  -d '{    "receiptId": "string"  }'
{}

Void Many

POST
/receipts/voidMany

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://www.prolifto.store/api/receipts/voidMany" \  -H "Content-Type: application/json" \  -d '{    "receiptIds": [      "string"    ]  }'
{}